Package com.independentsoft.email.mime

# Class HeaderList

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<Header>
com.independentsoft.email.mime.HeaderList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Header>`, `Collection<Header>`, `List<Header>`, `RandomAccess`

public class HeaderList extends ArrayList<Header>
Class HeaderList.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Header`
  `get​(StandardHeader name)`
  Gets the Header with the specified standard header name.
  `Header`
  `get​(String name)`
  Gets the Header with the specified name.
  `void`
  `remove​(StandardHeader standardHeader)`
  Removes the specified standard header.
  `void`
  `remove​(String name)`
  Removes the specified name.

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Constructor Details

  - ### HeaderList

    public HeaderList()

- ## Method Details

  - ### remove

    public void remove​(StandardHeader standardHeader)
    Removes the specified standard header.
    Parameters:
      `standardHeader` - The standard header.

  - ### remove

    public void remove​(String name)
    Removes the specified name.
    Parameters:
      `name` - The name.

  - ### get

    public Header get​(StandardHeader name)
    Gets the Header with the specified standard header name.
    Parameters:
      `name` - The standard header.
    Returns:
      Header.

  - ### get

    public Header get​(String name)
    Gets the Header with the specified name.
    Parameters:
      `name` - The name.
    Returns:
      Header.